package com.purui.prims.headless.core.cache;


import com.purui.prims.headless.api.pojo.request.SemanticQueryReq;

public interface QueryCache {

    Object query(SemanticQueryReq semanticQueryReq, String cacheKey);

    Boolean put(String cacheKey, Object value);

    String getCacheKey(SemanticQueryReq semanticQueryReq);

}
